﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FLY.Thick.BulkDataModule;
using FLY.Thick.Base.Server.OBJProxy;
using FLY.Thick.Blowing.OBJ_INTERFACE;
using FLY.OBJComponents.Server.OBJProxy;
using FLY.OBJComponents.Server;

namespace FLY.Thick.Blowing.Server.OBJProxy
{
    public class OBJProxy
    {
        BulkDataService_OBJProxy bulkDataOBJProxy;
        BlowingFixProfile_OBJProxy profileOBJProxy;
        Curve_OBJProxy curveOBJProxy;
        Initparam_OBJProxy initparamOBJProxy;
        DynArea_OBJProxy dynAreaOBJProxy;
        FlyAD_OBJProxy flyADOBJProxy;
        Fix_OBJProxy fixOBJProxy;
        FLY.OBJComponents.Server.OBJProxy.WarningSystem_OBJProxy warnSystemOBJProxy;

        JsonDist_OBJProxy jsonDist_OBJProxy;



        BlowingFix_OBJProxy blowingOBJProxy;
        BlowingDetect_OBJProxy bDetectOBJProxy;
        ScanWarning_OBJProxy scanWarningOBJProxy;
        BulkDB_OBJProxy bulkDbOBJProxy;

        public OBJProxy(int objsys_idx, TDGage gage)
        {
            TDGage mGage = gage;
            bulkDataOBJProxy = new BulkDataService_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.BULK_ID, mGage.bulk);

            profileOBJProxy = new BlowingFixProfile_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.BFPROFILE_ID, mGage.profile);

            curveOBJProxy = new Curve_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.CURVE_ID, mGage.curve);

            initparamOBJProxy = new Initparam_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.INITPARAM_ID, mGage.initParam);

            dynAreaOBJProxy = new DynArea_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.DYNAREA_ID, mGage.dynArea);

            flyADOBJProxy = new FlyAD_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.FLYAD_ID, mGage.flyAd, mGage.AD2Thick);

            fixOBJProxy = new Fix_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.FIX_ID, mGage.gmFix);



            blowingOBJProxy = new BlowingFix_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.RENZIJIA_ID, mGage.gmRenZiJiaFix);

            bDetectOBJProxy = new BlowingDetect_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.BDETECT_ID, mGage.gmRenZiJiaFix.mPDetect);

            scanWarningOBJProxy = new ScanWarning_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.SCANWARNING_ID, mGage.scanWarning);

            bulkDbOBJProxy = new BulkDB_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.BULKDB_ID, mGage.bulkDb);

            warnSystemOBJProxy = new FLY.OBJComponents.Server.OBJProxy.WarningSystem_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.WARNING_OBJ_ID, mGage.warning);

            jsonDist_OBJProxy = new JsonDist_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.JSONDIST_OBJ_ID, new JsonDist());

            blowingOBJProxy.CurrObjSys.Start_Conn_Server(
                mGage.sysParam.LocalEP,
                bulkDataOBJProxy.ID);
        }
    }
}
