﻿using FLY.Thick.Blowing.IService;
using FLY.Thick.BlowingScan.IService;
using MultiLayout.UiModule;
using System.Windows;
using System.Windows.Controls;
using Unity;

namespace FLY.Thick.BlowingScan.UI.Client.UiModule
{
    /// <summary>
    /// DynAreaBlowing.xaml 的交互逻辑
    /// </summary>
    public partial class DynAreaBlowing : UserControl
    {
        IBlowingScanService blowingScanService;
        IBlowingDetectService blowingDetectService;
        IUnityContainer container;

        public DynAreaBlowing()
        {
            InitializeComponent();
        }

        [InjectionMethod]
        public void Init(
            IUnityContainer container,
            IBlowingService blowingScanService,
            IBlowingDetectService blowingDetectService)
        {
            this.container = container;

            this.blowingScanService = (IBlowingScanService)blowingScanService;
            this.blowingDetectService = blowingDetectService;

            Border_Blowing.DataContext = this.blowingScanService;
            border_bDetect.DataContext = this.blowingDetectService;
        }


        private void Border_Blowing_Click(object sender, RoutedEventArgs e)
        {
            var p = container.Resolve<PgBlowing>();
            MultiLayout.FlyLayoutManager.NavigationService.Navigate(p);
        }
    }

    public class UiModule2_DynAreaBlowing : MultiLayout.UiModule.IUiModule2
    {
        /// <summary>
        /// 控件标题
        /// 它的值取决于culture
        /// </summary>
        public string Title => "吹膜动态";
        public ComponentType Type => ComponentType.DynArea;
        public bool IsUnique => true;

        /// <summary>
        /// 控件
        /// 创建时，需要给它唯一ID，让加载自己的数据
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public FrameworkElement GetComponent(int id, IUnityContainer container)
        {
            return container.Resolve<DynAreaBlowing>();
        }


        /// <summary>
        /// 控件缩略图，用于编辑界面时，大致看看
        /// 创建时，需要给它唯一ID，让加载自己的数据
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        public FrameworkElement GetThumbnail()
        {
            return new System.Windows.Controls.Grid();
        }


        /// <summary>
        /// 给出全部控件ID, 控件自行删除没有的参数
        /// </summary>
        /// <param name="IDs"></param>
        public void MatchParam(int[] IDs)
        {

        }
    }
}
