﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FLY.Thick.BulkDataModule;
using FLY.Thick.Base.Server.OBJProxy;
using FLY.Thick.Blowing.Server.OBJProxy;
using FLY.Thick.BlowingScan.OBJ_INTERFACE;

using ScanWarning_OBJProxy = FLY.Thick.Blowing.Server.OBJProxy.ScanWarning_OBJProxy;
using FLY.OBJComponents.Server.OBJProxy;
using FLY.OBJComponents.Server;

namespace FLY.Thick.BlowingScan.Server.OBJProxy
{
    /// <summary>
    /// 
    /// </summary>
    public class OBJProxys
    {
        BulkDataService_OBJProxy mBulkDataOBJProxy;
        Initparam_OBJProxy mInitParamOBJProxy;
        BorderSearch_OBJProxy mBorderSearchOBJProxy;
        Curve_OBJProxy mCurveOBJProxy;
        DynArea_OBJProxy mDynAreaOBJProxy;
        GetSample_OBJProxy mGetSampleOBJProxy;
        ScanCorr_OBJProxy mScanCorrOBJProxy;
        FlyAD_OBJProxy mFlyADOBJProxy;
        GageInfo_OBJProxy mGageInfoOBJProxy;
        Fix_OBJProxy mFixOBJProxy;
        BlowingProfile_OBJProxy mProfileOBJProxy;
        FLY.OBJComponents.Server.OBJProxy.WarningSystem_OBJProxy mWarnSystemOBJProxy;

        JsonDist_OBJProxy jsonDist_OBJProxy;

        TDGage_OBJProxy mTDGageOBJProxy;
        BlowingScan_OBJProxy mBlowingOBJProxy;
        BlowingDetect_OBJProxy mBDetectOBJProxy;
        ScanWarning_OBJProxy mScanWarningOBJProxy;
        BulkDB_OBJProxy mBulkDBOBJProxy;
        /// <summary>
        /// 
        /// </summary>
        /// <param name="objsys_idx"></param>
        /// <param name="gage"></param>
        public OBJProxys(int objsys_idx, TDGage gage)
        {
            TDGage mGage = gage;
            mBulkDataOBJProxy = new BulkDataService_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.BULK_ID, mGage.bulk);


            mProfileOBJProxy = new BlowingProfile_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.PROFILE_ID, mGage.profile);

            mBorderSearchOBJProxy = new BorderSearch_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.BORDERSEARCH_ID, mGage.borderSearch);
            
            mCurveOBJProxy = new Curve_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.CURVE_ID, mGage.curve);

            mDynAreaOBJProxy = new DynArea_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.DYNAREA_ID, mGage.dynArea);

            mGetSampleOBJProxy = new GetSample_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.GET_SAMPLE_ID, mGage.getSample);

            mInitParamOBJProxy = new Initparam_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.INITPARAM_ID, mGage.initParam);

            mScanCorrOBJProxy = new ScanCorr_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.SCANCORR_ID, mGage.gmScanCorr);

            mFlyADOBJProxy = new FlyAD_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.FLYAD_ID, mGage.flyAd, mGage.AD2Thick);

            mGageInfoOBJProxy = new GageInfo_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.GAGEINFO_ID , mGage.gmGageInfo);

            mFixOBJProxy = new Fix_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.FIX_ID, mGage.gmFix);

            mWarnSystemOBJProxy = new FLY.OBJComponents.Server.OBJProxy.WarningSystem_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.WARNING_OBJ_ID, mGage.warning);

            jsonDist_OBJProxy = new JsonDist_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.JSONDIST_OBJ_ID, new JsonDist());



            mTDGageOBJProxy = new TDGage_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.TDGAGE_ID, mGage);

            mBlowingOBJProxy = new BlowingScan_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.RENZIJIA_ID, mGage.gmRenZiJiaScan);

            mBDetectOBJProxy = new BlowingDetect_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.BDETECT_ID, mGage.gmRenZiJiaScan.mPDetect);

            mScanWarningOBJProxy = new ScanWarning_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.SCANWARNING_ID, mGage.scanWarning);

            mBulkDBOBJProxy = new BulkDB_OBJProxy(objsys_idx, OBJ_INTERFACE_ID.BULKDB_ID, mGage.bulkDb);


            mTDGageOBJProxy.CurrObjSys.Start_Conn_Server(
                mGage.sysParam.LocalEP,
                mBulkDataOBJProxy.ID);
        }
    }
}
