﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using FLY.Weight2.Common;
using System.Collections.ObjectModel;

namespace FLY.Weight2.UI.Client.UnitTests
{
    public class WeighterCsService
    {
        /// <summary>
        /// 称重其它附件
        /// </summary>
        public WeighterAccessory Accessory { get; } = new WeighterAccessory();
        /// <summary>
        /// 各层称重
        /// </summary>
        public ObservableCollection<WeighterC> Items { get; } = new ObservableCollection<WeighterC>();


    }
    public class UnitTests_Weights : WeighterCsService
    {
        public UnitTests_Weights()
        {
            Items.Add(new FLY.Weight2.Common.WeighterC("A")
            {
                CurrentFlow = 150,
                BinWeight = 5,
            });
            Items.Add(new FLY.Weight2.Common.WeighterC("B")
            {
                CurrentFlow = 100,
                BinWeight = 4.3f,
            });
            Items.Add(new FLY.Weight2.Common.WeighterC("C")
            {
                CurrentFlow = 50,
                BinWeight = 5.1f,
            });
            Items.Add(new FLY.Weight2.Common.WeighterC("D")
            {
                CurrentFlow = 10,
                BinWeight = 1.23f,
            });
            Items.Add(new FLY.Weight2.Common.WeighterC("E")
            {
                CurrentFlow = 10,
                BinWeight = 1.42f,
            });
            foreach (FLY.Weight2.Common.WeighterC w in Items) {
                w.Color = WeighterColorDB.GetSelf(w.Number);
            }

            Accessory.TotalFlow = (UInt16)Items.Sum((w) => { return w.CurrentFlow; });
            Accessory.TotalFlowSetIn = Accessory.TotalFlow;
            Accessory.TotalFlowSetOut = Accessory.TotalFlow;
            foreach (FLY.Weight2.Common.WeighterC w in Items) {
                w.ScrewPDisp = (UInt16)(w.CurrentFlow * 100 / Accessory.TotalFlow);
            }

            Accessory.WheelPerimeter = 378;
            Accessory.WheelPulse = 3000;
            Accessory.Density = 1;
            Accessory.RimCharge = 30;
            Accessory.Thickness = 80;
            Accessory.CurrentVelocity = 50.3f;
            Accessory.TotalFilmWidth = 2134;
            Accessory.RimWidth = 20;
            Accessory.ActFilmWidth = Accessory.TotalFilmWidth - Accessory.RimWidth * 2;
            Accessory.SetThickness = 79;
            Accessory.TargetVelocity = 50.1f;
            Accessory.ACurrentLen = 200;
            Accessory.ACurrent = 200;
            Accessory.ALast = 230;
            Accessory.BCurrentLen = 300;
            Accessory.BLast = 290;

        }
    }
}
