﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FObjBase;
using FLY.Weight2.OBJ_INTERFACE;
using System.Net;
using FLY.Weight2.Common;
using FLY.OBJComponents.Server.OBJProxy;
using System.ComponentModel;
using FLY.Weight2.Server.Model;

namespace FLY.Weight2.Server.OBJProxy
{
    public class WeightSystem_OBJProxy : FObj
    {
        WeightSystem data;
        SyncProp_OBJProxy syncProp_OBJProxy;
        PLCProxySystem_OBJProxy plcOS_OBJProxy;



        public WeightSystem_OBJProxy(int objsys_idx, UInt32 id, WeightSystem data):base(objsys_idx)
        {
            ID = id;
            this.data = data;

            //--------------------------------------------------------------
            //属性同步
            Dictionary<string, INotifyPropertyChanged> objnames = new Dictionary<string, INotifyPropertyChanged>();
            objnames.Add(".", data);
            objnames.Add("Accessory", data.Accessory);
            for (int i = 0; i < data.Items.Count(); i++)
                objnames.Add($"Items[{i}]", data.Items[i]);

            syncProp_OBJProxy = new SyncProp_OBJProxy(
                objsys_idx, ID + 1, objnames);

            plcOS_OBJProxy = new PLCProxySystem_OBJProxy(
                objsys_idx,
                ID + 2,
                data.PLCos
                );


        }
    }
}
