﻿using SQLite;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Weight2.Server.Model
{
    /// <summary>
    /// 流量表
    /// </summary>
    [Table("Flow")]
    public class Db_Flow: IDbBase
    {
        [Key]
        [PropertyIndex(0)]
        public Int64 ID { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        [PropertyIndex(1)]
        public DateTime Time { get; set; }

        /// <summary>
        /// 总流量
        /// </summary>
        [PropertyIndex(2)]
        public double Total { get; set; }

        /// <summary>
        /// 各上料流量 List of FlyData_FlowItem
        /// </summary>
        [PropertyIndex(3)]
        public string Items { get; set; }
    }
}
