﻿using SQLite;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Weight2.Server.Model
{
    /// <summary>
    /// Db_Flow 对应的 本地数据结构
    /// </summary>
    public class Lc_Flow: IDbBase
    {
        public Int64 ID { get; set; }

        /// <summary>
        /// 开始时间
        /// </summary>
        public DateTime Time { get; set; }

        /// <summary>
        /// 总流量
        /// </summary>
        public double Total { get; set; }

        /// <summary>
        /// 各上料流量 List of FlyData_FlowItem
        /// </summary>
        public Lc_FlowItem[] Items { get; set; }
    }

    
    public class Lc_FlowItem
    {
        /// <summary>
        /// 流量
        /// </summary>
        public double Flow { get; set; }

        /// <summary>
        /// 比例
        /// </summary>
        public double ScrewPDisp { get; set; }

        /// <summary>
        /// 频率
        /// </summary>
        public double ScrewMotorFreq { get; set; }

    }

}
