﻿using System.ComponentModel;

namespace XXX.Common
{
    public class WeighterAccessory : INotifyPropertyChanged
    {
        public WeighterAccessory()
        {

        }
        #region 辅助代码生成
        /// <summary>
        /// 产量设定
        /// </summary>
        [Description("产量设定")]
        public float TotalFlowSetIn{ get; set; }

        /// <summary>
        /// 产量设定显示
        /// </summary>
        [Description("产量设定显示")]
        public float TotalFlowSetOut{ get; set; }

        /// <summary>
        /// 当前产量
        /// </summary>
        [Description("当前产量")]
        public float TotalFlow{ get; set; }

        /// <summary>
        /// 产量设定与运行比例通知(置1)
        /// </summary>
        [Description("产量设定与运行比例通知(置1)")]
        public bool TotalFlowSetInIsSet{ get; set; }

        /// <summary>
        /// 内收卷当前(m)
        /// </summary>
        [Description("内收卷当前(m)")]
        public float ACurrentLen{ get; set; }

        /// <summary>
        /// 内收卷当前(kg)
        /// </summary>
        [Description("内收卷当前(kg)")]
        public float ACurrent{ get; set; }

        /// <summary>
        /// 内收卷上卷(kg)
        /// </summary>
        [Description("内收卷上卷(kg)")]
        public float ALast{ get; set; }

        /// <summary>
        /// 外收卷当前(m)
        /// </summary>
        [Description("外收卷当前(m)")]
        public float BCurrentLen{ get; set; }

        /// <summary>
        /// 外收卷当前(kg)
        /// </summary>
        [Description("外收卷当前(kg)")]
        public float BCurrent{ get; set; }

        /// <summary>
        /// 外收卷上卷(kg)
        /// </summary>
        [Description("外收卷上卷(kg)")]
        public float BLast{ get; set; }

        /// <summary>
        /// 内收卷清零(取反)
        /// </summary>
        [Description("内收卷清零(取反)")]
        public bool AClear{ get; set; }

        /// <summary>
        /// 外收卷清零(取反)
        /// </summary>
        [Description("外收卷清零(取反)")]
        public bool BClear{ get; set; }

        /// <summary>
        /// 报警开关
        /// </summary>
        [Description("报警开关")]
        public bool AlarmIsOn{ get; set; }

        /// <summary>
        /// 边料kg/h
        /// </summary>
        [Description("边料kg/h")]
        public float RimCharge{ get; set; }

        /// <summary>
        /// 产品厚度um
        /// </summary>
        [Description("产品厚度um")]
        public float Thickness{ get; set; }

        /// <summary>
        /// 当前线速度m/min
        /// </summary>
        [Description("当前线速度m/min")]
        public float CurrentVelocity{ get; set; }

        /// <summary>
        /// 产品宽度(mm) xxx
        /// </summary>
        [Description("产品宽度(mm) xxx")]
        public float TotalFilmWidth{ get; set; }

        /// <summary>
        /// 切边(mm) xxx
        /// </summary>
        [Description("切边(mm) xxx")]
        public float RimWidth{ get; set; }

        /// <summary>
        /// 收卷宽度(mm) xxx
        /// </summary>
        [Description("收卷宽度(mm) xxx")]
        public float ActFilmWidth{ get; set; }

        /// <summary>
        /// 设定厚度(um) xxx.x
        /// </summary>
        [Description("设定厚度(um) xxx.x")]
        public float SetThickness{ get; set; }

        /// <summary>
        /// 理论速度(m/min) xxx.x
        /// </summary>
        [Description("理论速度(m/min) xxx.x")]
        public float TargetVelocity{ get; set; }

        /// <summary>
        /// 边料不回收(取反)
        /// </summary>
        [Description("边料不回收(取反)")]
        public bool IsRimNoRecycle{ get; set; }

        /// <summary>
        /// 码轮周长(mm)
        /// </summary>
        [Description("码轮周长(mm)")]
        public float WheelPerimeter{ get; set; }

        /// <summary>
        /// 码轮脉冲(p/r)
        /// </summary>
        [Description("码轮脉冲(p/r)")]
        public float WheelPulse{ get; set; }

        /// <summary>
        /// 密度(kg/m³)
        /// </summary>
        [Description("密度(kg/m³)")]
        public float Density{ get; set; }

        /// <summary>
        /// 总用料(kg) xxx.x
        /// </summary>
        [Description("总用料(kg) xxx.x")]
        public float TotalConsume{ get; set; }

        /// <summary>
        /// 总用料清零(取反)
        /// </summary>
        [Description("总用料清零(取反)")]
        public bool TotalConsumeReset{ get; set; }

        #endregion
        public event PropertyChangedEventHandler PropertyChanged;
    }
}
